@use "../abstract/" as abs;

.dropdown-li{
    position: relative;

    &::after{
        font-family: 'Font Awesome 6 Free';
        content: '\f078';
        font-weight: bold;
    }

    &:hover .dropdown{
        visibility: visible;
        opacity: 1;
    }
}


.dropdown {
    position: absolute;
    top: 3rem;
    right: -2.8rem;
    width: 10rem;
    background-color: darken(abs.color(tertiary), 5%);
    @include abs.navigation;
    padding: 1rem;
    text-align: center;
    border-radius: .2rem;
    visibility: hidden;
    opacity: 0;
    transition: opacity .3s;

    &::before{
        content: '';
        display: block;
        position: absolute;
        top: -1.5rem;
        left: 5.2rem;
        border-right: 15px solid transparent;
        border-bottom: 15px solid darken(abs.color(tertiary), 5%);
        border-left: 15px solid transparent;
    }

    &__item{
        margin: 1rem 0;
    }

    &__link:link,
    &__link:visited{
        font-weight: 300;
        font-size: abs.font-size(xs);
    }
}